Package org.jbpm.process.builder

## Class ProcessBuildContext

- java.lang.Object
- - org.drools.compiler.rule.builder.PackageBuildContext
  - - org.jbpm.process.builder.ProcessBuildContext

-     public class ProcessBuildContext
      extends org.drools.compiler.rule.builder.PackageBuildContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessBuildContext​(org.drools.compiler.builder.DroolsAssemblerContext assemblerContext, org.drools.core.definitions.InternalKnowledgePackage pkg, org.kie.api.definition.process.Process process, org.drools.compiler.lang.descr.BaseDescr processDescr, org.drools.compiler.compiler.DialectCompiletimeRegistry dialectRegistry, org.drools.compiler.compiler.Dialect defaultDialect)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.drools.compiler.compiler.DialectCompiletimeRegistry` | `getDialectRegistry()` |
    `org.kie.api.definition.process.Process` | `getProcess()` |
    `org.drools.compiler.lang.descr.ProcessDescr` | `getProcessDescr()` |
    `void` | `setProcess​(org.kie.api.definition.process.Process process)` |
    `void` | `setProcessDescr​(org.drools.compiler.lang.descr.ProcessDescr processDescr)` |

    - ### Methods inherited from class org.drools.compiler.rule.builder.PackageBuildContext

      `addDescrLookups, addError, addInvoker, addInvokerLookup, addMethod, addWarning, getConfiguration, getCurrentId, getDescrLookup, getDialect, getDialect, getErrors, getInvokerLookup, getInvokers, getKnowledgeBuilder, getMethods, getNextId, getParentDescr, getPkg, getWarnings, init, isTypesafe, resolveVarType, setDialect, setParentDescr, setTypesafe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessBuildContext

          public ProcessBuildContext​(org.drools.compiler.builder.DroolsAssemblerContext assemblerContext,
                                     org.drools.core.definitions.InternalKnowledgePackage pkg,
                                     org.kie.api.definition.process.Process process,
                                     org.drools.compiler.lang.descr.BaseDescr processDescr,
                                     org.drools.compiler.compiler.DialectCompiletimeRegistry dialectRegistry,
                                     org.drools.compiler.compiler.Dialect defaultDialect)

  - ### Method Detail

    - #### getProcessDescr

          public org.drools.compiler.lang.descr.ProcessDescr getProcessDescr()

    - #### setProcessDescr

          public void setProcessDescr​(org.drools.compiler.lang.descr.ProcessDescr processDescr)

    - #### getProcess

          public org.kie.api.definition.process.Process getProcess()

    - #### setProcess

          public void setProcess​(org.kie.api.definition.process.Process process)

    - #### getDialectRegistry

          public org.drools.compiler.compiler.DialectCompiletimeRegistry getDialectRegistry()

      Overrides:
        `getDialectRegistry` in class `org.drools.compiler.rule.builder.PackageBuildContext`